Last modified: 2013-04-22 16:17:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42649 - PHP Fatal error: Call to a member function isLocal() on a non-object in Title.php
PHP Fatal error: Call to a member function isLocal() on a non-object in Titl...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.21.x
All All
: High normal (vote)
: 1.21.0 release
Assigned To: Sam Reed (reedy)
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-12-03 16:25 UTC by Sam Reed (reedy)
Modified: 2013-04-22 16:17 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-12-03 16:25:09 UTC
PHP Fatal error:  Call to a member function isLocal() on a non-object in /usr/local/apache/common-local/php-1.21wmf5/includes/Title.php on line 579

Stack trace to come
Comment 1 Sam Reed (reedy) 2012-12-03 16:27:07 UTC
[03-Dec-2012 09:14:55] Fatal error: Call to a member function isLocal() on a non-object at /usr/local/apache/common-local/php-1.21wmf5/includes/Title.php on line 579
Server: srv268
Method: GET
URL: http://it.wikivoyage.org/wiki/Utente:(WV-it)_Luke_Westwalker
Backtrace:
#0 /usr/local/apache/common-local/php-1.21wmf5/includes/Title.php(579): Title::isLocal()
#1 /usr/local/apache/common-local/php-1.21wmf5/includes/WikiPage.php(925): Title->isLocal()
#2 /usr/local/apache/common-local/php-1.21wmf5/includes/WikiPage.php(909): WikiPage->getRedirectURL(Object(Title))
#3 [internal function]: WikiPage->followRedirect()
#4 /usr/local/apache/common-local/php-1.21wmf5/includes/Article.php(1944): call_user_func_array(Array, Array)
#5 /usr/local/apache/common-local/php-1.21wmf5/includes/Wiki.php(366): Article->__call('followRedirect', Array)
#6 /usr/local/apache/common-local/php-1.21wmf5/includes/Wiki.php(366): Article->followRedirect()
#7 /usr/local/apache/common-local/php-1.21wmf5/includes/Wiki.php(295): MediaWiki->initializeArticle()
#8 /usr/local/apache/common-local/php-1.21wmf5/includes/Wiki.php(555): MediaWiki->performRequest()
#9 /usr/local/apache/common-local/php-1.21wmf5/includes/Wiki.php(448): MediaWiki->main()
#10 /usr/local/apache/common-local/php-1.21wmf5/index.php(59): MediaWiki->run()
#11 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#12 {main}
Comment 2 Rob Lanphier 2012-12-04 20:38:20 UTC
Bumping down the priority a bit on this one.  What seems to be happening is that there's some interwiki check that is reporting "gen" a valid interwiki prefix.  This then gets passed into Title->isLocal(), which doesn't seem to think it is, so it's not returning a valid interwiki object, and then it's failing.

One fix for the symptom we're seeing here is to make it so that Title->isLocal actually checks whether it gets a valid Interwiki object before calling isLocal on it, and that might be a good little bit of hygiene.  However, this seems like old enough code that maybe knowing why the string gets passed in in the first place as a valid interwiki prefix.  One idea: it may be that there are two interwiki maps that don't agree with each other; one that has "gen" in it, and another that doesn't.
Comment 3 Andre Klapper 2013-03-20 15:54:59 UTC
Note: As this has the 1.21.0 target milestone set, this would require a patch in Gerrit / merge. If this does not receive a patch in the next weeks, the Target Milestone will likely get removed.

Chris: Do you plan to work on this?
Comment 4 Gerrit Notification Bot 2013-04-08 22:30:20 UTC
Related URL: https://gerrit.wikimedia.org/r/58234 (Gerrit Change Ie6027c818785b12f6be9c47caab77ffa4a587a79)
Comment 5 Gerrit Notification Bot 2013-04-08 23:19:57 UTC
https://gerrit.wikimedia.org/r/58234 (Gerrit Change Ie6027c818785b12f6be9c47caab77ffa4a587a79) | change APPROVED and MERGED [by jenkins-bot]
Comment 6 Gerrit Notification Bot 2013-04-15 02:36:14 UTC
Related URL: https://gerrit.wikimedia.org/r/59102 (Gerrit Change Ie6027c818785b12f6be9c47caab77ffa4a587a79)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links